#
# spec file for package bash1 (Version 1.14.7)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         bash1
Release:      14
Copyright:    1989 Free Software Foundation, Inc.
Group: 
Provides:     bash 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.14.7
Summary:      The GNU Bourne-Again Shell (older version)
Source: bash-1.14.7.tar.gz
Patch: bash-1.14.7.dif
%description
Since the new bash, version 2.x, is somewhat stricter in its syntax
checking than version 1.x, we are keeping the older version as bash1 in
the distribution.
If you have scripts that don't satisfy the stricter rules of 2.x and you
don't want to look for the errors, simply replace "/bin/sh" with
"/bin/bash1" in the first line.
The script will then be run by the old bash shell.

Authors:
--------
    Chet Ramey <chet@po.cwru.edu>

%prep
%setup -n bash-1.14.7
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
/bin/bash1
%doc /usr/man/man1/bash1.1.gz

